﻿using SfDataGrid_Combobox1.DataModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_Combobox1.ViewModel
{
	class MainViewModel
	{
		public MainViewModel()
		{
			IEnumerable<Person> peopleList = new PersonRepository().GetPeople();

			People = new List<PersonViewModel>();

			foreach (var person in peopleList)
			{
				People.Add(new PersonViewModel(person));
			}
		}

		public List<PersonViewModel> People
		{ get; private set; }
	}
}
