﻿using SfDataGrid_Combobox1.DataModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_Combobox1.ViewModel
{
	class PersonViewModel
	{
		public PersonViewModel(Person person)
		{
			Person = person;

			AvailableTitles = new TitlesRepository().GetTitles(Person.Gender);
			SelectedTitle = AvailableTitles.FirstOrDefault();
		}

		public Person Person
		{ get; private set; }

		public IEnumerable<string> AvailableTitles
		{ get; private set; }

		public string SelectedTitle
		{ get; set; }
	}
}
